/**
 * Copyright (C) 2002
 */

package org.objectweb.util.monolog.file;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public class DottedStringTools {
	public static String getLast(String dottedName) {
		if (dottedName==null)
			return null;
		int pos = dottedName.lastIndexOf('.');
		if (pos == -1)
			return dottedName;
		pos++;
		if (pos==dottedName.length())
			return "";
		return dottedName.substring(pos, dottedName.length());
	}

	public static String getEnd(String dottedName) {
		if (dottedName==null)
			return null;
		int pos = dottedName.indexOf('.');
		if (pos == -1)
			return dottedName;
		pos++;
		if (pos==0)
			return "";
		return dottedName.substring(pos, dottedName.length());
	}

	public static String getBegin(String dottedName) {
		if (dottedName==null)
			return null;
		int pos = dottedName.lastIndexOf('.');
		if (pos == -1)
			return dottedName;
		return dottedName.substring(0, pos);
	}

	public static String getFirst(String dottedName) {
		if (dottedName==null)
			return null;
		int pos = dottedName.indexOf('.');
		if (pos == -1)
			return dottedName;
		return dottedName.substring(0, pos);
	}
}
